<!DOCTYPE html>
<html> 
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf8">
	<title>Billigster Artikel, Left Join</title> 
</head>
<STYLE TYPE="text/css">
	body th, td
	{
		font-family:Arial, sans-serif;
	}
</STYLE>
<body>
<?php

	require("functions.php");
	const showSQL = 1;

	// Verbindung zur Datenbank, sie liegt lokalauf dem Rechner, User ist root, Passwort ist nicht definiert, Name der Datenbank ist hier datenbank
	$conn = new mysqli( 'localhost', 'root','', 'ErsteDatenbank' );

	if ($conn->connect_error) {
		printf("Verbindungsfehler: %s\n", $conn->connect_error);
		exit();
	}

	// Bei Umlauten ist der korrekte Zeichensatz dringend notwendig!
	$sql_r = $conn->query("SET NAMES 'utf8'");
	if($sql_r === false) trigger_error(_ERROR_TEXT_1 . nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
		
	// die eigentliche Queries
	
	//$sql  = "SELECT s1.Artikel AS Artikel_1, s1.Haendler AS Haendler_1,  s2.Haendler AS Haendler_2, s1.Preis AS P_1, s2.Preis AS P_2, s2.Artikel AS Artikel_2 \n"
	$sql  = "SELECT s1.Artikel , s1.Haendler ,   s1.Preis AS P_1,   s2.Preis AS P_2 \n"
		  . "FROM Laden AS s1 \n"
	      . "\tLEFT JOIN Laden AS s2 \n"
		  . "\tON s1.Artikel = s2.Artikel AND s1.Preis > s2.Preis \n"
		  . "WHERE s2.Artikel IS NULL \n"
		  . "ORDER BY s1.Artikel,s1.Preis "
	      . "";
	$sql_r = $conn->query($sql); 
	// Abfrage auf einen Fehler - und wenn wird das Script beendet und der Fehler mitgeteilt	
	if($sql_r === false) trigger_error(_ERROR_TEXT_1 . nl2br($sql) . _ERROR_TEXT_1A. $conn->error._ERROR_TEXT_1B, E_USER_ERROR);
	// Das SQL-Statement kann auch ausgegeben werden	
	if (showSQL) echo '<br><b>' . ws2html($sql) . '</b><p>';
	
	// Das Ergebnis der Query wird in Tabellenform ausgegeben	
	printTable($sql_r,$tab,$tabClose);
	
	// Die Verbindung zur Datenbank wird beendet	
	$conn->close();

	
?>

 </body>
</html>